> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/~/changes/vPSzQFfkdJCVWGT5AL1m/rest-api/developing-ilert-apps.md).

# Developing ilert Apps

ilert's developer platform allows every user with Admin permissions to create custom apps limited to their account or shared apps that can be used by all other ilert accounts.

{% content-ref url="/pages/9UR58q4kw3MLaop4sQ0X" %}
[Get started with ilert Apps](/~/changes/vPSzQFfkdJCVWGT5AL1m/rest-api/developing-ilert-apps/get-started-with-ilert-apps.md)
{% endcontent-ref %}

{% content-ref url="/pages/6EtLS3ZpdfEnz5h9vXzt" %}
[Understanding OAuth2](/~/changes/vPSzQFfkdJCVWGT5AL1m/rest-api/developing-ilert-apps/understanding-oauth2.md)
{% endcontent-ref %}

{% content-ref url="/pages/YmQLo73nKZo7OTs0GFe3" %}
[Token lifetimes, error codes, app verification, etc.](/~/changes/vPSzQFfkdJCVWGT5AL1m/rest-api/developing-ilert-apps/token-lifetimes-error-codes-app-verification-etc..md)
{% endcontent-ref %}

{% content-ref url="/pages/eMwOO4PVwccKEUQYi9dS" %}
[Developing a Backend App with OAuth2](/~/changes/vPSzQFfkdJCVWGT5AL1m/rest-api/developing-ilert-apps/developing-a-backend-app-with-oauth2.md)
{% endcontent-ref %}

{% content-ref url="/pages/ifjDGvySPZFNPeGWC194" %}
[Developing a web or native App with OAuth2 and PKCE](/~/changes/vPSzQFfkdJCVWGT5AL1m/rest-api/developing-ilert-apps/developing-a-web-or-native-app-with-oauth2-and-pkce.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ilert.com/~/changes/vPSzQFfkdJCVWGT5AL1m/rest-api/developing-ilert-apps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
